package com.simuwang.manage.service.competition;

import com.simuwang.base.event.CalcFundRankEvent;
import com.simuwang.base.event.CalcFundRankEventDO;
import org.springframework.context.ApplicationListener;
import org.springframework.stereotype.Component;

@Component
public class CalcFundRankListener implements ApplicationListener<CalcFundRankEvent> {

    private final CalcFundRankService calcFundRankService;

    public CalcFundRankListener(CalcFundRankService calcFundRankService) {
        this.calcFundRankService = calcFundRankService;
    }

    @Override
    public void onApplicationEvent(CalcFundRankEvent event) {
        CalcFundRankEventDO fundRankEventDO = event.getEventObject();
        calcFundRankService.calFundRank(fundRankEventDO);
    }

}
