package com.simuwang.manage.service.competition;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.map.MapUtil;
import com.simuwang.base.mapper.RcCompetitionStrategyMapper;
import com.simuwang.base.pojo.dos.RcCompetitionStrategyDO;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

@Service
public class FundStrategyService {

    private final RcCompetitionStrategyMapper competitionStrategyMapper;

    public FundStrategyService(RcCompetitionStrategyMapper competitionStrategyMapper) {
        this.competitionStrategyMapper = competitionStrategyMapper;
    }

    public Map<Integer, String> getStrategyName(Integer competitionId) {
        List<RcCompetitionStrategyDO> strategyDOList = competitionStrategyMapper.queryByCompetitionId(competitionId);
        if (CollUtil.isEmpty(strategyDOList)) {
            return MapUtil.newHashMap();
        }
        return strategyDOList.stream()
                .collect(Collectors.toMap(RcCompetitionStrategyDO::getStrategyId, RcCompetitionStrategyDO::getStrategyName));
    }
}
